Skip to main content
POST
/
api-public
/
payments
Criar pagamento dinâmico
curl --request POST \
  --url https://public-api-prod.dominipay.com.br/api-public/payments \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "amount": 1502.5
}
'
{
  "id": "<string>",
  "status": "<string>",
  "amount": 123,
  "storeId": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "email": "<string>",
  "isPublic": true,
  "feeAmount": 123,
  "liquidValue": 123,
  "observation": "<string>",
  "qrCodeUrl": "<string>",
  "qrCopyPaste": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
amount
number
required
Required range: 5 <= x <= 3000
email
string<email>
observation
string
Maximum string length: 2048
webhookUrl
string<uri>

Response

Pagamento criado com sucesso

id
string
required
status
string
required
amount
number
required
storeId
string
required
createdAt
string<date-time>
required
email
string
required
isPublic
boolean
required
feeAmount
number | null
liquidValue
number | null
observation
string | null
qrCodeUrl
string | null
qrCopyPaste
string | null